{% load static %}
<!-- Navbar -->
<nav class="main-header navbar navbar-expand navbar-primary navbar-dark">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
        <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#"><i class="fas fa-bars"></i></a>
        </li>
    </ul>
    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
        <!-- Notifications Dropdown Menu 
        <li class="nav-item dropdown">
            <a class="nav-link" data-toggle="dropdown" href="#">
                <i class="far fa-bell"></i>
                <span class="badge badge-warning navbar-badge">7</span>
            </a>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                <span class="dropdown-header">7 Notificaciones</span>
                <div class="dropdown-divider"></div>
                <a href="#" class="dropdown-item">
                    <i class="fas fa-envelope mr-2"></i> 4 Stock crítico
                    <span class="float-right text-muted text-sm">3 mins</span>
                </a>
                <div class="dropdown-divider"></div>
                <a href="#" class="dropdown-item">
                    <i class="fas fa-file mr-2"></i> 3 nuevos reportes
                    <span class="float-right text-muted text-sm">2 days</span>
                </a> 
            </div>
        </li>-->
        <li class="nav-item">
            <a class="nav-link" data-widget="control-sidebar" data-slide="true" data-toggle="modal" data-target="#modalInfo">
                <i class="fas fa-question-circle"></i>
            </a>
        </li>
        <div style="width: 0; border-right: 1px solid #e3e6f0; height: calc(4.375rem - 2rem); margin: auto 1rem;" class="d-none d-sm-block"></div>

        <!-- Nav Item - User Information -->
        {% if user.is_authenticated %}
        <li class="nav-item dropdown no-arrow">
          <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ request.user.username }}</span>
            <img style="height: 2.7rem; width: 2.7rem; margin-top: -10px;" src="{{ request.user.get_image }}" class="img-circle" alt="User Image">
          </a>
          <!-- Dropdown - User Information -->
          <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in" aria-labelledby="userDropdown">
            <span class="dropdown-header" style="font-size: 12px;">
              Sú último acceso fue {{ request.user.last_login }}
            </span>
            {% if user.is_staff %}
            <a class="dropdown-item" href="{% url 'admin:index' %}">
              <i class="fas fa-cogs fa-sm fa-fw mr-2 text-gray-400"></i>
              Ajustes
            </a>

            <div class="dropdown-divider"></div>
            {% endif %} 

            <a class="dropdown-item" href="" data-toggle="modal" data-target="#logoutModal">
              <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
              Cerrar Sesion
            </a>
          </div>
        </li>
        {% else %}
        <li class="nav-item dropdown no-arrow">                
            <li style="list-style-type: none;"><a href="{% url 'login'%}">Iniciar Sesion</a></li>   
        </li>              
        {% endif %} 

<!-- Navbar -->

    </ul>
 </nav>
 <!-- /.navbar -->
 <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Seguro que quieres cerrar sesion?</h5>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">Selecciona "Cerrar Sesion" abajo si estas listo para cerrar la sesion actual.</div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
          <a class="btn btn-primary" href="{% url 'logout'%}">Cerrar Sesion</a>
        </div>
      </div>
    </div>
  </div>
  <!-- /.modal -->
  <div class="modal fade" id="modalInfo" tabindex="-1" role="dialog" aria-labelledby="abonomodal" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
          <div class="modal-header">
              <h4 class="modal-title" id="abonomodal">Información de Ayuda</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
              </button>
          </div>
          <div class="modal-body">
            <div class="card-body">
              {% if '/almacen/inicio/' == request.get_full_path %}
              <p>{{request.get_full_path}}</p>
              {% endif %}

              {% if '/almacen/productos/' == request.get_full_path %}
              <p><strong>Descripción de los botones</strong></p>
              <dl class="row">
                <dt class="col-sm-2">
                  <button class="btn btn-info btn-sm" style="width: 2.2rem;" ><i class="fas fa-eye"></i></button>
                </dt>
                <dd class="col-sm-10">A description list is perfect for defining terms.</dd>
                <dt class="col-sm-2">
                  <button class="btn btn-warning btn-sm" style="width: 2.2rem;" ><i class="fas fa-pencil-alt"></i></button>
                </dt>
                <dd class="col-sm-10">Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.</dd>
                <dt class="col-sm-2">
                  <button class="btn btn-danger btn-sm" style="width: 2.2rem;" ><i class="fas fa-trash"></i></button>
                </dt>
                <dd class="col-sm-10">Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.</dd>
              </dl>                      
              {% endif %}

              {% if '/almacen/productos/create/' == request.get_full_path %}
              <p>Productos Crear</p>
              {% endif %}

              {% if '/almacen/familia/' == request.get_full_path %}
              <p>Familia</p>
              {% endif %}

              {% if '/almacen/familia/create/' == request.get_full_path %}
              <p>Familia Crear</p>
              {% endif %}

              {% if '/almacen/tipoproducto/' == request.get_full_path %}
              <p>Tipo Producto</p>
              {% endif %}

              {% if '/almacen/tipoproducto/create/' == request.get_full_path %}
              <p>Tipo Producto Crear</p>
              {% endif %}

              {% if '/almacen/clientes/' == request.get_full_path %}
              <p>Clientes</p>
              {% endif %}

              {% if '/almacen/clientes/create/' == request.get_full_path %}
              <p>Clientes Crear</p>
              {% endif %}
              {% if '/almacen/credito/' == request.get_full_path %}
              <p>credito</p>
              {% endif %}
              {% if '/almacen/proveedor/' == request.get_full_path %}
              <p>Proveedor</p>
              {% endif %}
              {% if '/almacen/proveedor/create/' == request.get_full_path %}
              <p>Proveedor Crear</p>
              {% endif %}
              {% if '/almacen/compras/' == request.get_full_path %}
              <p>Compras</p>
              {% endif %}
              {% if '/almacen/compras/create/' == request.get_full_path %}
              <p>Compras Crear</p>
              {% endif %}
              {% if '/almacen/recepcion/' == request.get_full_path %}
              <p>Recepcion </p>
              {% endif %}
              {% if '/almacen/ventas/' == request.get_full_path %}
              <p>ventas</p>
              {% endif %}
              {% if '/almacen/venta/create/' == request.get_full_path %}
              <p>venta Crear</p>
              {% endif %}
              {% if '/almacen/reporte/venta/' == request.get_full_path %}
              <p>reporte venta</p>
              {% endif %}
              {% if '/almacen/reporte/compra/' == request.get_full_path %}
              <p>reporte compra</p>
              {% endif %}
            </div>
          </div>
          <div class="modal-footer justify-content-between">
              <button type="button" class="btn btn-info" data-dismiss="modal"> Cerrar</button>
          </div>
      </div>
  </div>    
    
    <!-- /.modal-dialog -->
  </div>          